VirtualBox

Ticket #9359 (closed defect: duplicate)

Opened 3 years ago

Last modified 20 months ago

Mac OS X Lion Kernel Panic

Reported by: wil-cloudregistry Owned by:
Priority: critical Component: host support
Version: VirtualBox 4.1.0 Keywords:
Cc: Guest type: Linux
Host type: Mac OS X

Description (last modified by frank) (diff)

I've been experiencing kernel panics after upgrading to Lion and also upgrading to Lion latest version. The panic doesn't necessarily happen at exactly the same time, but I have been using Vagrant to start, stop, clone, suspend and resume guests, and typically the crash would happen around one of these operations.

Here is the latest crash dump that seems to point directly to VirtualBox.

Guest is Debian Lenny.

Tue Aug  2 11:53:15 2011
panic(cpu 4 caller 0xffffff81271b0cf9): "
!!Assertion Failed!!
Expression: iPage == cPages
Location  : /Users/vbox/tinderbox/mac-rel/src/VBox/VMM/VMMR0/GMMR0.cpp(2452) int gmmR0AllocatePagesNew(GMM*, GVM*, uint32_t, GMMPAGEDESC*, GMMACCOUNT)
"@/Users/vbox/tinderbox/mac-rel/src/VBox/Runtime/r0drv/darwin/assert-r0drv-darwin.cpp:66
Backtrace (CPU 4), Frame : Return Address
0xffffff81293f39b0 : 0xffffff8000220702 
0xffffff81293f3a30 : 0xffffff81271b0cf9 
0xffffff81293f3ac0 : 0xffffff81271b1499 
0xffffff81293f3b30 : 0xffffff81271bffff 
0xffffff81293f3b90 : 0xffffff81271c15e9 
0xffffff81293f3bd0 : 0xffffff81271c1db8 
0xffffff81293f3c10 : 0xffffff7f81fac2e4 
0xffffff81293f3cc0 : 0xffffff7f81fae8ae 
0xffffff81293f3d50 : 0xffffff8000327d9e 
0xffffff81293f3d80 : 0xffffff80003196c2 
0xffffff81293f3df0 : 0xffffff800030ffb8 
0xffffff81293f3e30 : 0xffffff80005312c3 
0xffffff81293f3e60 : 0xffffff8000560fd4 
0xffffff81293f3f50 : 0xffffff80005ca7cb 
0xffffff81293f3fb0 : 0xffffff80002d8383 
      Kernel Extensions in backtrace:
         org.virtualbox.kext.VBoxDrv(4.1)[B2B90EAF-5941-2E0D-8257-37EF97C21802]@0xffffff7f81fa5000->0xffffff7f81fedfff

BSD process name corresponding to current thread: VBoxHeadless

Mac OS version:
11A511

Kernel version:
Darwin Kernel Version 11.0.0: Sat Jun 18 12:56:35 PDT 2011; root:xnu-1699.22.73~1/RELEASE_X86_64
Kernel UUID: 24CC17EB-30B0-3F6C-907F-1A9B2057AF78
System model name: MacBookPro8,2 (Mac-94245A3940C91C80)

System uptime in nanoseconds: 41204910186513
last loaded kext at 37335840139654: net.tunnelblick.tun	1.0 (addr 0xffffff7f8078d000, size 32768)
last unloaded kext at 327341394609: com.apple.driver.AppleUSBUHCI	4.4.0 (addr 0xffffff7f80a4a000, size 65536)
loaded kexts:
net.tunnelblick.tun	1.0
org.virtualbox.kext.VBoxNetAdp	4.1.0
org.virtualbox.kext.VBoxNetFlt	4.1.0
org.virtualbox.kext.VBoxUSB	4.1.0
org.virtualbox.kext.VBoxDrv	4.1.0
com.apple.driver.AppleHWSensor	1.9.4d0
com.apple.filesystems.autofs	3.0
com.apple.driver.AppleBluetoothMultitouch	66.3
com.apple.driver.AppleMikeyHIDDriver	122
com.apple.driver.AppleHDA	2.1.1f11
com.apple.driver.AppleMikeyDriver	2.1.1f11
com.apple.kext.ATIFramebuffer	7.0.2
com.apple.driver.AGPM	100.12.40
com.apple.driver.AudioAUUC	1.59
com.apple.driver.AppleUpstreamUserClient	3.5.9
com.apple.driver.AppleMCCSControl	1.0.24
com.apple.driver.SMCMotionSensor	3.0.1d2
com.apple.iokit.IOUserEthernet	1.0.0d1
com.apple.Dont_Steal_Mac_OS_X	7.0.0
com.apple.driver.AudioIPCDriver	1.2.0
com.apple.driver.AppleSMCLMU	2.0.1d2
com.apple.driver.AppleMuxControl	3.0.8
com.apple.driver.ACPI_SMC_PlatformPlugin	4.7.0b2
com.apple.driver.AppleLPC	1.5.1
com.apple.ATIRadeonX3000	7.0.2
com.apple.driver.AppleIntelHDGraphics	7.0.2
com.apple.driver.AppleIntelSNBGraphicsFB	7.0.2
com.apple.driver.AppleUSBTCButtons	220.8
com.apple.driver.AppleUSBTCKeyboard	220.8
com.apple.driver.AppleIRController	309
com.apple.iokit.SCSITaskUserClient	3.0.0
com.apple.AppleFSCompression.AppleFSCompressionTypeDataless	1.0.0d1
com.apple.AppleFSCompression.AppleFSCompressionTypeZlib	1.0.0d1
com.apple.BootCache	32
com.apple.iokit.IOAHCIBlockStorage	2.0.0
com.apple.driver.AppleSmartBatteryManager	161.0.0
com.apple.driver.AppleUSBHub	4.4.0
com.apple.driver.AppleFWOHCI	4.8.6
com.apple.driver.AirPort.Brcm4331	500.20.6
com.apple.driver.AppleSDXC	1.1.0
com.apple.iokit.AppleBCM5701Ethernet	3.0.6b9
com.apple.driver.AppleEFINVRAM	1.5.0
com.apple.driver.AppleAHCIPort	2.1.8
com.apple.driver.AppleUSBEHCI	4.4.0
com.apple.driver.AppleACPIButtons	1.4
com.apple.driver.AppleRTC	1.4
com.apple.driver.AppleHPET	1.6
com.apple.driver.AppleSMBIOS	1.7
com.apple.driver.AppleACPIEC	1.4
com.apple.driver.AppleAPIC	1.5
com.apple.driver.AppleIntelCPUPowerManagementClient	166.0.0
com.apple.nke.applicationfirewall	3.0.30
com.apple.security.quarantine	1
com.apple.driver.AppleIntelCPUPowerManagement	166.0.0
com.apple.kext.triggers	1.0
com.apple.driver.AppleMultitouchDriver	220.62
com.apple.driver.IOBluetoothHIDDriver	2.5f17
com.apple.driver.DspFuncLib	2.1.1f11
com.apple.driver.AppleAVBAudio	1.0.0d11
com.apple.driver.AppleSMBusController	1.0.10d0
com.apple.iokit.IOSurface	80.0
com.apple.iokit.IOBluetoothSerialManager	2.5f17
com.apple.iokit.IOSerialFamily	10.0.5
com.apple.iokit.IOAVBFamily	1.0.0d22
com.apple.iokit.IOFireWireIP	2.2.3
com.apple.iokit.IOAudioFamily	1.8.3fc11
com.apple.kext.OSvKernDSPLib	1.3
com.apple.driver.AppleHDAController	2.1.1f11
com.apple.iokit.IOHDAFamily	2.1.1f11
com.apple.driver.AppleGraphicsControl	3.0.8
com.apple.driver.AppleSMC	3.1.1d2
com.apple.driver.IOPlatformPluginFamily	4.7.0b2
com.apple.driver.AppleSMBusPCI	1.0.10d0
com.apple.driver.AppleBacklightExpert	1.0.3
com.apple.kext.ATI6000Controller	7.0.2
com.apple.kext.ATISupport	7.0.2
com.apple.iokit.IONDRVSupport	2.3
com.apple.iokit.IOGraphicsFamily	2.3
com.apple.driver.BroadcomUSBBluetoothHCIController	2.5f17
com.apple.driver.AppleUSBBluetoothHCIController	2.5f17
com.apple.iokit.IOBluetoothFamily	2.5f17
com.apple.driver.AppleThunderboltDPOutAdapter	1.3.2
com.apple.driver.AppleThunderboltDPInAdapter	1.3.2
com.apple.driver.AppleThunderboltDPAdapterFamily	1.3.2
com.apple.driver.AppleThunderboltPCIDownAdapter	1.1.6
com.apple.driver.AppleUSBMultitouch	220.23
com.apple.iokit.IOUSBHIDDriver	4.4.0
com.apple.driver.AppleUSBMergeNub	4.4.0
com.apple.driver.AppleUSBComposite	3.9.0
com.apple.iokit.IOSCSIMultimediaCommandsDevice	3.0.0
com.apple.iokit.IOBDStorageFamily	1.6
com.apple.iokit.IODVDStorageFamily	1.6
com.apple.iokit.IOCDStorageFamily	1.7
com.apple.driver.XsanFilter	403
com.apple.iokit.IOAHCISerialATAPI	2.0.0
com.apple.iokit.IOSCSIArchitectureModelFamily	3.0.0
com.apple.driver.AppleThunderboltNHI	1.2.6
com.apple.iokit.IOThunderboltFamily	1.4.9
com.apple.iokit.IOUSBUserClient	4.4.0
com.apple.iokit.IOFireWireFamily	4.4.3
com.apple.iokit.IO80211Family	400.40
com.apple.iokit.IOEthernetAVBController	1.0.0d5
com.apple.iokit.IONetworkingFamily	2.0
com.apple.iokit.IOAHCIFamily	2.0.6
com.apple.iokit.IOUSBFamily	4.4.0
com.apple.driver.AppleEFIRuntime	1.5.0
com.apple.iokit.IOHIDFamily	1.7.0
com.apple.iokit.IOSMBusFamily	1.1
com.apple.security.sandbox	165
com.apple.kext.AppleMatch	1.0.0d1
com.apple.security.TMSafetyNet	7
com.apple.driver.DiskImages	326
com.apple.iokit.IOStorageFamily	1.7
com.apple.driver.AppleKeyStore	28.18
com.apple.driver.AppleACPIPlatform	1.4
com.apple.iokit.IOPCIFamily	2.6.5
com.apple.iokit.IOACPIFamily	1.4
Model: MacBookPro8,2, BootROM MBP81.0047.B0E, 4 processors, Intel Core i7, 2.3 GHz, 8 GB, SMC 1.69f1
Graphics: AMD Radeon HD 6750M, AMD Radeon HD 6750M, PCIe, 1024 MB
Graphics: Intel HD Graphics 3000, Intel HD Graphics 3000, Built-In, 512 MB
Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1333 MHz, 0x80AD, 0x484D54333531533642465238432D48392020
Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1333 MHz, 0x80AD, 0x484D54333531533642465238432D48392020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xD6), Broadcom BCM43xx 1.0 (5.100.98.75.6)
Bluetooth: Version 2.5.0f17, 2 service, 19 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: APPLE SSD TS256C, 251 GB
Serial ATA Device: MATSHITADVD-R   UJ-898
USB Device: hub_device, 0x0424  (SMSC), 0x2513, 0xfa100000 / 3
USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0245, 0xfa120000 / 5
USB Device: BRCM2070 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0xfa110000 / 4
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x821a, 0xfa113000 / 7
USB Device: FaceTime HD Camera (Built-in), apple_vendor_id, 0x8509, 0xfa200000 / 2
USB Device: hub_device, 0x0424  (SMSC), 0x2513, 0xfd100000 / 2
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0xfd110000 / 3

Attachments

log Download (8.1 KB) - added by ehaselwanter 3 years ago.
Kernel Panic Log
VBox.zip Download (24.3 KB) - added by Tinow 3 years ago.
virtualbox ubuntu log
kernel-2k8x86.txt Download (8.2 KB) - added by Tinow 3 years ago.
kernel panic log - windows server 2008 32bit
VBox-2k8x86.log Download (72.0 KB) - added by Tinow 3 years ago.
virtualbox log - windows server 2008 32bit
vbox-crash-kernel-panic.zip Download (108.0 KB) - added by ankh 2 years ago.
vbox crashes and kernel panics, various
vbox_panic_ubuntu64.log Download (8.1 KB) - added by gyim 2 years ago.
kernel panic when stopping an Ubuntu Linux x64 guest
Kernel_2012-04-17-092321_as0562.panic Download (8.9 KB) - added by Boffbowsh 2 years ago.
VBox.2.zip Download (53.0 KB) - added by jperry 20 months ago.
Several VBox.log files where the kernel panic happened.

Change History

comment:1 Changed 3 years ago by mrgordon

I am having this issue as well on a brand new MacBook Air pre-installed with Lion. The symptoms are the exact same. I get kernel panics repeatedly when using VirtualBox 4.1.0 while managing my lucid32 VMs using Vagrant 0.8.2.

Changed 3 years ago by ehaselwanter

  • attachment log Download added

Kernel Panic Log

comment:2 Changed 3 years ago by ehaselwanter

I too had a Kernel Panic. I attached my log file. This was after I started a lucid64 box from vagrantup.com. Kernel Panic and high cpu usage (100%) on a Core2Duo early 2009 MBP with Lion 10.7.0. No Problems with mid 2011 i5 MPA

comment:3 Changed 3 years ago by Tinow

Same here. Using MBP 8,1, Lion, Virtualbox 4.1.2. Guest is 64bit ubuntu 10.04.

comment:4 Changed 3 years ago by michaln

Obvious question: is this somehow specific to Vagrant?

comment:5 Changed 3 years ago by Tinow

I do not use Vagrant and this happens to me too.

comment:6 Changed 3 years ago by michaln

OK, so presumably it does not happen when you "use Vagrant to start, stop, clone, suspend and resume guests". When *does* it happen?

We also need some VBox.log files here...

Changed 3 years ago by Tinow

virtualbox ubuntu log

comment:7 Changed 3 years ago by Tinow

The kernel panicked twice since I clean installed Lion. It happened just after ubuntu had completed shutdown process - but not every time.

comment:8 Changed 3 years ago by jorritarntzen

Same problem here. Kernel Panic with Clean install OSX 10.7. Virtualbox 4.1 on a Macbook Air (i5) Kernel Panic sometimes when working in a VM. Sometimes when shutting down a VM. Vms: Open Suse. Windows server 2008. Windows 7. Debian Lenny

comment:9 Changed 3 years ago by ehaselwanter

this is really strange. working with vagrant 0.8.5, virtualbox 4.1.2 and ubuntu lucid32/lucid64 on lion 10.7.1 MPA(i5) all day. no problem (guest addition 4.1.0). same config on MBP core2duo kernel panics in VM kernel panic in host, 100% cpu usage on host while apt-get install ...

Changed 3 years ago by Tinow

kernel panic log - windows server 2008 32bit

Changed 3 years ago by Tinow

virtualbox log - windows server 2008 32bit

comment:10 Changed 3 years ago by Sharpie

I saw a similar issue on Snow Leopard 10.6.8, running an x86_64 kernel. Upgraded from VBox 4.0.12 to 4.1.2 and started seeing kernel panics with similar looking backtraces. Downgrading back to 4.0.12 fixed the problem for me.

comment:11 Changed 3 years ago by Tinow

Update. Kernel panics when windows server 2008 32bit guest is shutting down. I attach kernel panic log and virtualbox log.

comment:12 Changed 3 years ago by samy-delux

VirtualBox 4.1.2 crashes my MacBook Pro 6,2 running Mac OS X 10.6.8 as well. I use Slax 6.1.2 guests.

comment:13 Changed 2 years ago by WickedMonkey

Are there any updates to this? I too am running Lion and am experiencing kernel panics. I have Ubuntu 11.10 and Windows XP SP3 hosts. Virtualbox version is 4.1.6.

comment:14 Changed 2 years ago by Tinow

I find that sometimes virtualbox crashes my Lion when I am saving windows server 2003 guest.

Changed 2 years ago by ankh

vbox crashes and kernel panics, various

comment:15 Changed 2 years ago by ankh

Added a zipped folder with a handful of vbox crashes and kernel panics; 4.1.4, 4.1.2, tried 8GB RAM and 5GB RAM. (I went down to 4.0.14 and haven't had another of these -- though still seeing other crashes, often mentioning vbox kext files)

comment:16 Changed 2 years ago by ankh

There's another ticket on the same problem: https://www.virtualbox.org/ticket/9897

comment:17 Changed 2 years ago by Tinow

It's more likely to kernel panic when the machine is busy. It does not matter one or more virtual machines are on.

Changed 2 years ago by gyim

kernel panic when stopping an Ubuntu Linux x64 guest

comment:18 Changed 2 years ago by Tinow

Same for VirtualBox 4.1.10 on OS X 10.7.3.

comment:19 Changed 2 years ago by Tinow

This also happens for FreeBSD guests.

comment:20 Changed 2 years ago by cgallery

Found wide-spread complaints of Lion kernel panics (not VirtualBox-related) that seem to indicate that wifi (Airport) was the culprit.

So I disabled my Airport connection on the MB Air I'm running and low and behold, I'm able to run without any crashes. Ten restarts of Win7 64-bit w/ Airport disabled, no errors. Enable Airport, and I get crashes two on ten reboots.

Here is an Apple thread:  https://discussions.apple.com/thread/3194446?start=0&tstart=0

comment:21 Changed 2 years ago by Boffbowsh

Attached another crash report of this, VirtualBox 4.1.12 on OSX Lion 10.7.3

Changed 2 years ago by Boffbowsh

comment:22 Changed 22 months ago by frank

  • Description modified (diff)

Still reproducible with VBox 4.1.16?

comment:23 Changed 22 months ago by phocean

Yes, I can confirm this bug with VirtualBox 4.1.16 and Lion 10.7.4... I downgraded to version 4.0.16 and so far so good. I will update here if it happened again.

Last edited 22 months ago by phocean (previous) (diff)

comment:24 Changed 21 months ago by jperry

I am seeing this kernel crash a lot lately with Lion.

My setup:

iMac i5 16GB VirtualBox 4.1.18 Mac OSX 10.7.4

Please fix this as it is a huge burden and I would rather not downgrade to 4.0.

Thanks, Jay

comment:25 Changed 21 months ago by frank

This is not much information. It would be at least interesting which guest are you running, perhaps if there is anything how to reproduce the panic, and a VBox.log file of such a VM session. Even if the host panics, parts of the VBox.log file should be available.

comment:26 Changed 21 months ago by jperry

I'll provide a log next time this happens.

When you say guest do you mean platform?

If yes ubuntu 11.04 and centos 5.7.

Changed 20 months ago by jperry

Several VBox.log files where the kernel panic happened.

comment:27 Changed 20 months ago by jperry

This just happened several times in a row where we have an automated build bring down an ubuntu vm after each test run then bring a clean one back up. See VBox2.zip for all the VBox.log files.

comment:28 Changed 20 months ago by JinZY

One more kernel panic report, hope can give you some clue.

Interval Since Last Panic Report: 94698 sec Panics Since Last Report: 1 Anonymous UUID: 9A5AD0C5-64BB-4034-8558-01C5954AD0BE

Fri Aug 24 12:57:22 2012 panic(cpu 2 caller 0xffffff80002c473a): Kernel trap at 0xffffff800053c121, type 14=page fault, registers: CR0: 0x000000008001003b, CR2: 0xfffffffffffffab0, CR3: 0x00000003a558807b, CR4: 0x00000000000606e0 RAX: 0xffffff80255a5008, RBX: 0xffffff8038cad700, RCX: 0x0000000000000024, RDX: 0xffffff80246770c0 RSP: 0xffffff81c5f83d50, RBP: 0xffffff81c5f83d90, RSI: 0xffffff8025596c90, RDI: 0xffffff80246770c0 R8: 0xffffff8022d8a588, R9: 0xffffff81c5f83dc0, R10: 0xffffff800086f4d0, R11: 0xffffff80006400b4 R12: 0xfffffffffffffa90, R13: 0x0000000000000000, R14: 0xffffff8024677000, R15: 0xffffff8038cad708 RFL: 0x0000000000010286, RIP: 0xffffff800053c121, CS: 0x0000000000000008, SS: 0x0000000000000010 CR2: 0xfffffffffffffab0, Error code: 0x0000000000000000, Faulting CPU: 0x2

Backtrace (CPU 2), Frame : Return Address 0xffffff81c5f83a00 : 0xffffff8000220792 0xffffff81c5f83a80 : 0xffffff80002c473a 0xffffff81c5f83c30 : 0xffffff80002da0cd 0xffffff81c5f83c50 : 0xffffff800053c121 0xffffff81c5f83d90 : 0xffffff800053c245 0xffffff81c5f83db0 : 0xffffff80005358b4 0xffffff81c5f83e10 : 0xffffff8000535a0f 0xffffff81c5f83e50 : 0xffffff8000543652 0xffffff81c5f83ec0 : 0xffffff800023ba9b 0xffffff81c5f83ef0 : 0xffffff800023bf9a 0xffffff81c5f83f20 : 0xffffff800023c030 0xffffff81c5f83f50 : 0xffffff800021e14e 0xffffff81c5f83f90 : 0xffffff80002c3d3a 0xffffff81c5f83fb0 : 0xffffff80002da09c

BSD process name corresponding to current thread: VirtualBoxVM

Mac OS version: 11E53

Kernel version: Darwin Kernel Version 11.4.0: Mon Apr 9 19:32:15 PDT 2012; root:xnu-1699.26.8~1/RELEASE_X86_64 Kernel UUID: A8ED611D-FB0F-3729-8392-E7A32C5E7D74 System model name: MacBookPro8,1 (Mac-94245B3640C91C81)

System uptime in nanoseconds: 28698191816957 last loaded kext at 25076451829731: com.apple.filesystems.smbfs 1.7.2 (addr 0xffffff7f808d4000, size 241664) last unloaded kext at 14027182697609: com.vmware.kext.vmx86 0073.02.98 (addr 0xffffff7f807e7000, size 61440) loaded kexts: com.vmware.kext.vmnet 0073.02.98 com.vmware.kext.vmioplug 0073.02.98 com.vmware.kext.vsockets 90.1.5 com.vmware.kext.vmci 90.1.1 com.vmware.kext.vmx86 0073.02.98 org.virtualbox.kext.VBoxNetAdp 4.2.0 org.virtualbox.kext.VBoxNetFlt 4.2.0 org.virtualbox.kext.VBoxUSB 4.2.0 org.virtualbox.kext.VBoxDrv 4.2.0 com.apple.filesystems.smbfs 1.7.2 com.apple.nke.pptp 1.7 com.apple.driver.AppleIntelProfile 85.2 com.apple.driver.AppleHWSensor 1.9.5d0 com.apple.filesystems.autofs 3.0 com.apple.driver.IOBluetoothA2DPAudioDriver 4.0.5f11 com.apple.driver.AppleMikeyHIDDriver 122 com.apple.driver.AudioAUUC 1.59 com.apple.driver.AppleHDA 2.2.0f3 com.apple.driver.AppleMikeyDriver 2.2.0f3 com.apple.driver.AGPM 100.12.42 com.apple.driver.AppleUpstreamUserClient 3.5.9 com.apple.driver.AppleMCCSControl 1.0.26 com.apple.driver.AppleBacklight 170.1.9 com.apple.driver.AppleIntelHD3000Graphics 7.1.8 com.apple.driver.SMCMotionSensor 3.0.2d6 com.apple.driver.AppleSMCPDRC 5.0.0d0 com.apple.iokit.IOUserEthernet 1.0.0d1 com.apple.driver.AppleSMCLMU 2.0.1d2 com.apple.iokit.IOBluetoothSerialManager 4.0.5f11 com.apple.Dont_Steal_Mac_OS_X 7.0.0 com.apple.driver.AudioIPCDriver 1.2.2 com.apple.driver.ACPI_SMC_PlatformPlugin 5.0.0d0 com.apple.driver.AppleLPC 1.5.8 com.apple.driver.BroadcomUSBBluetoothHCIController 4.0.5f11 com.apple.driver.AppleUSBTCButtons 225.2 com.apple.driver.AppleUSBTCKeyboard 225.2 com.apple.driver.AppleIRController 312 com.apple.iokit.SCSITaskUserClient 3.2.0 com.apple.AppleFSCompression.AppleFSCompressionTypeDataless 1.0.0d1 com.apple.AppleFSCompression.AppleFSCompressionTypeZlib 1.0.0d1 com.apple.BootCache 33 com.apple.driver.XsanFilter 404 com.apple.iokit.IOAHCISerialATAPI 2.0.3 com.apple.iokit.IOAHCIBlockStorage 2.0.3 com.apple.driver.AppleUSBHub 4.5.0 com.apple.driver.AppleFWOHCI 4.8.9 com.apple.driver.AirPort.Brcm4331 530.4.20 com.apple.driver.AppleSDXC 1.2.0 com.apple.iokit.AppleBCM5701Ethernet 3.1.2b2 com.apple.driver.AppleEFINVRAM 1.5.0 com.apple.driver.AppleSmartBatteryManager 161.0.0 com.apple.driver.AppleAHCIPort 2.3.0 com.apple.driver.AppleUSBEHCI 4.5.8 com.apple.driver.AppleACPIButtons 1.5 com.apple.driver.AppleRTC 1.5 com.apple.driver.AppleHPET 1.6 com.apple.driver.AppleSMBIOS 1.8 com.apple.driver.AppleACPIEC 1.5 com.apple.driver.AppleAPIC 1.5 com.apple.driver.AppleIntelCPUPowerManagementClient 193.0.0 com.apple.nke.applicationfirewall 3.2.30 com.apple.security.quarantine 1.3 com.apple.driver.AppleIntelCPUPowerManagement 193.0.0 com.apple.nke.ppp 1.7 com.apple.driver.AppleProfileTimestampAction 85.2 com.apple.driver.AppleProfileThreadInfoAction 85.2 com.apple.driver.AppleProfileRegisterStateAction 85.2 com.apple.driver.AppleProfileReadCounterAction 85.2 com.apple.driver.AppleProfileKEventAction 85.2 com.apple.driver.AppleProfileCallstackAction 85.2 com.apple.iokit.AppleProfileFamily 85.2 com.apple.kext.triggers 1.0 com.apple.driver.DspFuncLib 2.2.0f3 com.apple.driver.AppleSMBusController 1.0.10d0 com.apple.iokit.IOFireWireIP 2.2.4 com.apple.iokit.IOSurface 80.0.2 com.apple.iokit.IOSerialFamily 10.0.5 com.apple.driver.AppleHDAController 2.2.0f3 com.apple.iokit.IOHDAFamily 2.2.0f3 com.apple.iokit.IOAudioFamily 1.8.6fc17 com.apple.kext.OSvKernDSPLib 1.3 com.apple.driver.AppleBacklightExpert 1.0.3 com.apple.driver.ApplePolicyControl 3.0.16 com.apple.driver.AppleGraphicsControl 3.0.16 com.apple.iokit.IONDRVSupport 2.3.2 com.apple.driver.AppleSMC 3.1.3d8 com.apple.driver.IOPlatformPluginLegacy 5.0.0d0 com.apple.driver.AppleSMBusPCI 1.0.10d0 com.apple.driver.IOPlatformPluginFamily 5.1.0d17 com.apple.driver.AppleIntelSNBGraphicsFB 7.1.8 com.apple.iokit.IOGraphicsFamily 2.3.2 com.apple.driver.AppleUSBBluetoothHCIController 4.0.5f11 com.apple.iokit.IOBluetoothFamily 4.0.5f11 com.apple.driver.AppleThunderboltDPInAdapter 1.8.2 com.apple.driver.AppleThunderboltDPAdapterFamily 1.8.2 com.apple.driver.AppleThunderboltPCIDownAdapter 1.2.4 com.apple.driver.AppleUSBMultitouch 227.1 com.apple.iokit.IOUSBHIDDriver 4.4.5 com.apple.driver.AppleUSBMergeNub 4.5.3 com.apple.driver.AppleUSBComposite 4.5.8 com.apple.iokit.IOSCSIMultimediaCommandsDevice 3.2.0 com.apple.iokit.IOBDStorageFamily 1.6 com.apple.iokit.IODVDStorageFamily 1.7 com.apple.iokit.IOCDStorageFamily 1.7 com.apple.iokit.IOSCSIArchitectureModelFamily 3.2.0 com.apple.driver.AppleThunderboltNHI 1.5.5 com.apple.iokit.IOThunderboltFamily 2.0.0 com.apple.iokit.IOUSBUserClient 4.5.8 com.apple.iokit.IOFireWireFamily 4.4.5 com.apple.iokit.IO80211Family 420.3 com.apple.iokit.IOEthernetAVBController 1.0.1b1 com.apple.iokit.IONetworkingFamily 2.1 com.apple.iokit.IOAHCIFamily 2.0.8 com.apple.iokit.IOUSBFamily 4.5.8 com.apple.driver.AppleEFIRuntime 1.5.0 com.apple.iokit.IOHIDFamily 1.7.1 com.apple.iokit.IOSMBusFamily 1.1 com.apple.security.sandbox 177.5 com.apple.kext.AppleMatch 1.0.0d1 com.apple.security.TMSafetyNet 7 com.apple.driver.DiskImages 331.6 com.apple.iokit.IOStorageFamily 1.7.1 com.apple.driver.AppleKeyStore 28.18 com.apple.driver.AppleACPIPlatform 1.5 com.apple.iokit.IOPCIFamily 2.6.8 com.apple.iokit.IOACPIFamily 1.4 Model: MacBookPro8,1, BootROM MBP81.0047.B27, 2 processors, Intel Core i5, 2.3 GHz, 16 GB, SMC 1.68f98 Graphics: Intel HD Graphics 3000, Intel HD Graphics 3000, Built-In, 512 MB Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1333 MHz, 0x0198, 0x393950353437312D3030322E414F4F4C4620 Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1333 MHz, 0x0198, 0x393950353437312D3030322E414F4F4C4620 AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xD6), Broadcom BCM43xx 1.0 (5.106.198.4.20) Bluetooth: Version 4.0.5f11, 2 service, 18 devices, 1 incoming serial ports Network Service: Ethernet, Ethernet, en0 Network Service: AirPort, AirPort, en1 Network Service: RNDIS/Ethernet Gadget, Ethernet, en4 Serial ATA Device: SAMSUNG HN-M101MBB, 1 TB Serial ATA Device: MATSHITADVD-R UJ-898 USB Device: FaceTime HD Camera (Built-in), apple_vendor_id, 0x8509, 0xfa200000 / 3 USB Device: hub_device, 0x0424 (SMSC), 0x2513, 0xfa100000 / 2 USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0245, 0xfa120000 / 5 USB Device: BRCM2070 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0xfa110000 / 4 USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x821a, 0xfa113000 / 8 USB Device: hub_device, 0x0424 (SMSC), 0x2513, 0xfd100000 / 2 USB Device: IR Receiver, apple_vendor_id, 0x8242, 0xfd110000 / 3

comment:29 Changed 20 months ago by Jelmer

Been getting this constantly It seems to have gotten worse since i installed 4.1.20

Interval Since Last Panic Report: 135627 sec Panics Since Last Report: 2 Anonymous UUID: 056EF4B1-B094-41B7-B041-0FF554065448

Mon Aug 27 13:49:05 2012 panic(cpu 2 caller 0xffffff80f0578ee9): " !!Assertion Failed!! Expression: iPage == cPages Location : /Users/vbox/tinderbox/4.1-mac-rel/src/VBox/VMM/VMMR0/GMMR0.cpp(2503) int gmmR0AllocatePagesNew(GMM*, GVM*, uint32_t, GMMPAGEDESC*, GMMACCOUNT) "@/Users/vbox/tinderbox/4.1-mac-rel/src/VBox/Runtime/r0drv/darwin/assert-r0drv-darwin.cpp:66 Backtrace (CPU 2), Frame : Return Address 0xffffff80f11db9b0 : 0xffffff8000220792 0xffffff80f11dba30 : 0xffffff80f0578ee9 0xffffff80f11dbac0 : 0xffffff80f05797b9 0xffffff80f11dbb30 : 0xffffff80f058847f 0xffffff80f11dbb90 : 0xffffff80f0589ad4 0xffffff80f11dbbd0 : 0xffffff80f058a2b8 0xffffff80f11dbc10 : 0xffffff7f81944d50 0xffffff80f11dbcc0 : 0xffffff7f819471fe 0xffffff80f11dbd50 : 0xffffff800032a4ae 0xffffff80f11dbd80 : 0xffffff800031bdd2 0xffffff80f11dbdf0 : 0xffffff80003126c8 0xffffff80f11dbe30 : 0xffffff8000533d73 0xffffff80f11dbe60 : 0xffffff8000563a64 0xffffff80f11dbf50 : 0xffffff80005cd61b 0xffffff80f11dbfb0 : 0xffffff80002daa13

Kernel Extensions in backtrace:

org.virtualbox.kext.VBoxDrv(4.1.20)[7A3FED2C-1816-17B3-AB43-63B7A78FDF4D]@0xffffff7f8193e000->0xffffff7f81973fff

BSD process name corresponding to current thread: VBoxHeadless

Mac OS version: 11E53

Kernel version: Darwin Kernel Version 11.4.0: Mon Apr 9 19:32:15 PDT 2012; root:xnu-1699.26.8~1/RELEASE_X86_64 Kernel UUID: A8ED611D-FB0F-3729-8392-E7A32C5E7D74 System model name: MacBookPro8,2 (Mac-94245A3940C91C80)

System uptime in nanoseconds: 814256503509 last loaded kext at 138976318606: com.apple.filesystems.smbfs 1.7.2 (addr 0xffffff7f807f2000, size 241664) last unloaded kext at 232919072505: com.apple.driver.AppleUSBUHCI 4.4.5 (addr 0xffffff7f80aed000, size 65536) loaded kexts: org.virtualbox.kext.VBoxNetAdp 4.1.20 org.virtualbox.kext.VBoxNetFlt 4.1.20 org.virtualbox.kext.VBoxUSB 4.1.20 org.virtualbox.kext.VBoxDrv 4.1.20 com.apple.filesystems.smbfs 1.7.2 com.apple.driver.AppleHWSensor 1.9.5d0 com.apple.filesystems.autofs 3.0 com.apple.filesystems.ntfs 3.10.1 com.apple.driver.AppleMikeyHIDDriver 122 com.apple.driver.AudioAUUC 1.59 com.apple.driver.AppleUpstreamUserClient 3.5.9 com.apple.driver.AppleMCCSControl 1.0.26 com.apple.driver.AppleHDA 2.2.0f3 com.apple.driver.AppleMikeyDriver 2.2.0f3 com.apple.driver.AppleIntelHD3000Graphics 7.1.8 com.apple.kext.ATIFramebuffer 7.1.8 com.apple.driver.AGPM 100.12.42 com.apple.driver.SMCMotionSensor 3.0.2d6 com.apple.driver.AppleSMCPDRC 5.0.0d0 com.apple.iokit.IOUserEthernet 1.0.0d1 com.apple.driver.AppleSMCLMU 2.0.1d2 com.apple.iokit.IOBluetoothSerialManager 4.0.5f11 com.apple.Dont_Steal_Mac_OS_X 7.0.0 com.apple.driver.AudioIPCDriver 1.2.2 com.apple.driver.ACPI_SMC_PlatformPlugin 5.0.0d0 com.apple.driver.AppleMuxControl 3.0.16 com.apple.driver.AppleLPC 1.5.8 com.apple.ATIRadeonX3000 7.1.8 com.apple.driver.AppleUSBTCButtons 225.2 com.apple.driver.BroadcomUSBBluetoothHCIController 4.0.5f11 com.apple.driver.AppleUSBTCKeyboard 225.2 com.apple.driver.AppleIRController 312 com.apple.iokit.SCSITaskUserClient 3.2.0 com.apple.AppleFSCompression.AppleFSCompressionTypeDataless 1.0.0d1 com.apple.AppleFSCompression.AppleFSCompressionTypeZlib 1.0.0d1 com.apple.BootCache 33 com.apple.driver.XsanFilter 404 com.apple.iokit.IOAHCISerialATAPI 2.0.3 com.apple.iokit.IOAHCIBlockStorage 2.0.3 com.apple.driver.AppleUSBHub 4.5.0 com.apple.driver.AppleFWOHCI 4.8.9 com.apple.driver.AirPort.Brcm4331 530.4.20 com.apple.driver.AppleSDXC 1.2.0 com.apple.iokit.AppleBCM5701Ethernet 3.1.2b2 com.apple.driver.AppleEFINVRAM 1.5.0 com.apple.driver.AppleSmartBatteryManager 161.0.0 com.apple.driver.AppleAHCIPort 2.3.0 com.apple.driver.AppleUSBEHCI 4.5.8 com.apple.driver.AppleACPIButtons 1.5 com.apple.driver.AppleRTC 1.5 com.apple.driver.AppleHPET 1.6 com.apple.driver.AppleSMBIOS 1.8 com.apple.driver.AppleACPIEC 1.5 com.apple.driver.AppleAPIC 1.5 com.apple.driver.AppleIntelCPUPowerManagementClient 193.0.0 com.apple.nke.applicationfirewall 3.2.30 com.apple.security.quarantine 1.3 com.apple.driver.AppleIntelCPUPowerManagement 193.0.0 com.apple.kext.triggers 1.0 com.apple.driver.DspFuncLib 2.2.0f3 com.apple.driver.AppleSMBusController 1.0.10d0 com.apple.iokit.IOSurface 80.0.2 com.apple.iokit.IOFireWireIP 2.2.4 com.apple.iokit.IOSerialFamily 10.0.5 com.apple.driver.AppleHDAController 2.2.0f3 com.apple.iokit.IOHDAFamily 2.2.0f3 com.apple.iokit.IOAudioFamily 1.8.6fc17 com.apple.kext.OSvKernDSPLib 1.3 com.apple.driver.ApplePolicyControl 3.0.16 com.apple.driver.AppleSMC 3.1.3d8 com.apple.driver.IOPlatformPluginLegacy 5.0.0d0 com.apple.driver.AppleSMBusPCI 1.0.10d0 com.apple.driver.AppleGraphicsControl 3.0.16 com.apple.driver.IOPlatformPluginFamily 5.1.0d17 com.apple.driver.AppleBacklightExpert 1.0.3 com.apple.iokit.IONDRVSupport 2.3.2 com.apple.kext.ATI6000Controller 7.1.8 com.apple.kext.ATISupport 7.1.8 com.apple.driver.AppleIntelSNBGraphicsFB 7.1.8 com.apple.iokit.IOGraphicsFamily 2.3.2 com.apple.driver.AppleUSBBluetoothHCIController 4.0.5f11 com.apple.iokit.IOBluetoothFamily 4.0.5f11 com.apple.driver.AppleThunderboltDPInAdapter 1.8.2 com.apple.driver.AppleThunderboltDPAdapterFamily 1.8.2 com.apple.driver.AppleThunderboltPCIDownAdapter 1.2.4 com.apple.driver.AppleUSBMultitouch 227.1 com.apple.iokit.IOUSBHIDDriver 4.4.5 com.apple.driver.AppleUSBMergeNub 4.5.3 com.apple.driver.AppleUSBComposite 4.5.8 com.apple.iokit.IOSCSIMultimediaCommandsDevice 3.2.0 com.apple.iokit.IOBDStorageFamily 1.6 com.apple.iokit.IODVDStorageFamily 1.7 com.apple.iokit.IOCDStorageFamily 1.7 com.apple.iokit.IOSCSIArchitectureModelFamily 3.2.0 com.apple.driver.AppleThunderboltNHI 1.5.5 com.apple.iokit.IOThunderboltFamily 2.0.0 com.apple.iokit.IOUSBUserClient 4.5.8 com.apple.iokit.IOFireWireFamily 4.4.5 com.apple.iokit.IO80211Family 420.3 com.apple.iokit.IOEthernetAVBController 1.0.1b1 com.apple.iokit.IONetworkingFamily 2.1 com.apple.iokit.IOAHCIFamily 2.0.8 com.apple.iokit.IOUSBFamily 4.5.8 com.apple.driver.AppleEFIRuntime 1.5.0 com.apple.iokit.IOHIDFamily 1.7.1 com.apple.iokit.IOSMBusFamily 1.1 com.apple.security.sandbox 177.5 com.apple.kext.AppleMatch 1.0.0d1 com.apple.security.TMSafetyNet 7 com.apple.driver.DiskImages 331.6 com.apple.iokit.IOStorageFamily 1.7.1 com.apple.driver.AppleKeyStore 28.18 com.apple.driver.AppleACPIPlatform 1.5 com.apple.iokit.IOPCIFamily 2.6.8 com.apple.iokit.IOACPIFamily 1.4 Model: MacBookPro8,2, BootROM MBP81.0047.B27, 4 processors, Intel Core i7, 2.2 GHz, 8 GB, SMC 1.69f3 Graphics: AMD Radeon HD 6750M, AMD Radeon HD 6750M, PCIe, 1024 MB Graphics: Intel HD Graphics 3000, Intel HD Graphics 3000, Built-In, 512 MB Memory Module: BANK 0/DIMM0, 4 GB, DDR3, 1333 MHz, 0x029E, 0x434D534F344758334D314131333333433920 Memory Module: BANK 1/DIMM0, 4 GB, DDR3, 1333 MHz, 0x029E, 0x434D534F344758334D314131333333433920 AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xD6), Broadcom BCM43xx 1.0 (5.106.198.4.20) Bluetooth: Version 4.0.5f11, 2 service, 11 devices, 1 incoming serial ports Network Service: Ethernet, Ethernet, en0 Serial ATA Device: TOSHIBA MK7559GSXF, 750.16 GB Serial ATA Device: MATSHITADVD-R UJ-898 USB Device: FaceTime HD Camera (Built-in), apple_vendor_id, 0x8509, 0xfa200000 / 3 USB Device: hub_device, 0x0424 (SMSC), 0x2513, 0xfa100000 / 2 USB Device: BRCM2070 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0xfa110000 / 5 USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x821a, 0xfa113000 / 7 USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0246, 0xfa120000 / 4 USB Device: hub_device, 0x0424 (SMSC), 0x2513, 0xfd100000 / 2 USB Device: IR Receiver, apple_vendor_id, 0x8242, 0xfd110000 / 3

comment:30 Changed 20 months ago by jglogan

This comment posted on bug 9897 just a few hours ago:

Hey, there is a light at the end of the tunnel. We actually found and fixed a bug which is most likely responsible for all these host panics. It affects only 32-bit hosts and Mac OS X hosts. We are doing some more tests. You can expect a 4.1.22 bugfix release soon.

comment:31 Changed 20 months ago by michaln

  • Status changed from new to closed
  • Resolution set to duplicate

I'll close this as there's no reason to suspect that this isn't a duplicate of #9897. Only VirtualBox 4.1.x was affected (not 4.0), and only when running (shutting down) multiple VMs.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use